List merchant transactions
curl --request GET \
--url https://api.yara.cash/v1/transactions \
--header 'X-Yara-API-Key: <api-key>'import requests
url = "https://api.yara.cash/v1/transactions"
headers = {"X-Yara-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Yara-API-Key': '<api-key>'}};
fetch('https://api.yara.cash/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount_usd": "10.050000",
"currency": "USD",
"direction": "DEBIT",
"fee_usd": "0.066667",
"id": "98bf1b5c-b741-430b-9e4b-5edae2eb7919",
"net_amount_usd": "10.000000",
"occurred_at": "2026-06-16T03:00:00Z",
"reference": "merchant-transfer-001",
"source_id": "76179a66-8695-47fd-bca4-310eaa816077",
"source_type": "TRANSFER",
"status": "RESERVED"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 42,
"total_pages": 1
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}Transactions
List merchant transactions
Lists deposit and transfer projections for the merchant. Sweeps are not included in this feed.
GET
/
v1
/
transactions
List merchant transactions
Authorizations
Public merchant API key. You can also send Authorization: ApiKey .
Query Parameters
Source type
Available options:
DEPOSIT, TRANSFER Transaction status
Number of results per page (default: 50, max: 200)
Required range:
1 <= x <= 200Page number (default: 1)
Required range:
x >= 1⌘I